Microwave filters GUI 2.0.3

- Main Page
- Related Pages
- Packages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
dbplot.CurveFamily Class Reference

Data structure containing info about properties of a family of curves and the curve list. More...

## Public Member Functions
def | __init__
| Class constructor.
def | newCurves
| Create new list of curves.
def | deleteCurves
| Delete all curves.
def | updateCurves
| Update all curves with new data.
def | setPen
| Set QPen for all curves.
def | setVisible
| Set visibility of all curves.
def | setSymbol
| Set symbol for all curves.
def | setLegendItems
| After creating a legend for the QWtPlot, this method will assign the QwtLegendItem of the first curve to self.legendItem, and remove the other QwtLegendItem's from the QwtLegend layout.

## Detailed Description

Data structure containing info about properties of a family of curves and the curve list.

A curve family is a list of curves sharing the same properties. The Y data for a curve family is defined in the columns of a 2-D numpy array.

The class attributes and methods will not be documented, because the names are self-explanatory and the code is trivial.

Definition at line 1901 of file dbplot.py.

## Constructor & Destructor Documentation

def dbplot.CurveFamily.__init__ | ( |  | self,
|  |  | hPlot,
|  |  | name,
|  |  | xdata,
|  |  | ydata,
|  |  | axis,
|  |  | visible,
|  |  | color,
|  |  | width
| ) |  |

Class constructor.

Parameters

  hPlot |
  name |
  xdata |
  ydata |
  axis |
  visible |
  color |
  width |

Definition at line 1915 of file dbplot.py.

References dbplot.CurveFamily.axis, dbplot.DbPlot.hPlot, dbplot.CurveFamily.hPlot, dbplot.CurveFamily.legend, dbplot.CurveFamily.legendItem, dbplot.CurveFamily.name, dbplot.CurveFamily.Ncurves, dbplot.CurveFamily.newCurves(), dbplot.CurveFamily.pen, and dbplot.CurveFamily.visible.

Here is the call graph for this function:

## Member Function Documentation

def dbplot.CurveFamily.newCurves | ( |  | self,
|  |  | xdata,
|  |  | ydata
| ) |  |

Create new list of curves.

Parameters

  xdata |
  ydata |

Definition at line 1936 of file dbplot.py.

References dbplot.CurveFamily.axis, dbplot.CurveFamily.curveList, dbplot.DbPlot.hPlot, dbplot.CurveFamily.hPlot, dbplot.CurveFamily.name, dbplot.CurveFamily.Ncurves, dbplot.CurveFamily.pen, and dbplot.CurveFamily.visible.

Referenced by dbplot.CurveFamily.__init__(), and dbplot.CurveFamily.updateCurves().

Here is the caller graph for this function:

def dbplot.CurveFamily.setLegendItems | ( |  | self,
|  |  | legend = `None`,
|  |  | updateLegend = `False`
| ) |  |

After creating a legend for the QWtPlot, this method will assign the QwtLegendItem of the first curve to self.legendItem, and remove the other QwtLegendItem's from the QwtLegend layout.

Parameters

  legend | = QwtLegend in QWtPlot. If equal to None, the curves are being updated and the QwtLegend handle is already stored in self.legend . Default None.
  updateLegend | = Call curve.updateLegend() for the 1st curve. Default False.

Definition at line 2040 of file dbplot.py.

References dbplot.CurveFamily.curveList, dbplot.CurveFamily.legend, dbplot.CurveFamily.legendItem, and dbplot.CurveFamily.visible.

Referenced by dbplot.CurveFamily.updateCurves().

Here is the caller graph for this function:

def dbplot.CurveFamily.setPen | ( |  | self,
|  |  | pen
| ) |  |

Set QPen for all curves.

Parameters

  pen |

Definition at line 2007 of file dbplot.py.

References dbplot.CurveFamily.curveList, and dbplot.CurveFamily.pen.

def dbplot.CurveFamily.setSymbol | ( |  | self,
|  |  | symbol
| ) |  |

Set symbol for all curves.

Parameters

  symbol |

Definition at line 2027 of file dbplot.py.

References dbplot.CurveFamily.curveList, and dbplot.CurveFamily.symbol.

Referenced by dbplot.PlotMarker.__init__().

Here is the caller graph for this function:

def dbplot.CurveFamily.setVisible | ( |  | self,
|  |  | visible
| ) |  |

Set visibility of all curves.

Parameters

  visible | = Visibility flag (Bool)

Definition at line 2017 of file dbplot.py.

References dbplot.CurveFamily.curveList, and dbplot.CurveFamily.visible.

def dbplot.CurveFamily.updateCurves | ( |  | self,
|  |  | xdata,
|  |  | ydata
| ) |  |

Update all curves with new data.

Parameters

  xdata |
  ydata |

Definition at line 1973 of file dbplot.py.

References dbplot.CurveFamily.curveList, dbplot.CurveFamily.deleteCurves(), dbplot.CurveFamily.Ncurves, dbplot.CurveFamily.newCurves(), and dbplot.CurveFamily.setLegendItems().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- dbplot.py